@import 'mixins_and_variables_and_functions';

.html-devise-layout {
  margin: 0;
  padding: 0;
  height: 100%;
  
  body {
    &.with-system-header {
      padding-top: $system-header-height;
    }
    
    &.with-system-footer {
      .footer-container {
        padding-bottom: $system-footer-height;
      }
    }
  }
}

/* Login Page */
.login-page {
  .container {
    max-width: 960px;
  }

  .g-recaptcha {
    > div {
      margin-left: auto;
      margin-right: auto;
    }
  }
}

.new-session-tabs {
  display: flex;
  border-color: transparent;

  .nav-item {
    flex: 1;
    text-align: center;
    border-bottom: 1px solid $gray-100;
  }

  .nav-link {
    width: 100%;
    font-size: 18px !important;
    
    &.active {
      cursor: default;

      .gl-dark & {
      background-color: var(--gray-100);
      }
    }
  }
}

.devise-errors {
  @include devise-errors;
}

@include media-breakpoint-down(sm) {
  .sm-bg-gray {
    background-color: $gray-10;

    .gl-dark & {
      background-color: var(--gray-100);
    }
  }
}
